package ru.yandex.autotests.direct.web.data.statistic;

import java.util.List;

/**
 * @author Roman Kuhta (kuhtich@yandex-team.ru)
 */
public class NewReportFilterInfoWeb {
    private List<String> tags;
    private String positionType;
    private List<String> adGroups;
    private List<String> banner;
    private List<String> geo;
    private List<String> phrase;
    private List<String> pageName;
    private String pageType;
    private Boolean sitesInDetail;
    private List<String> statGoals;
    private String withImage;
    private String groupByDate;

    public List<String> getTags() {
        return tags;
    }

    public void setTags(List<String> tags) {
        this.tags = tags;
    }

    public String getPageType() {
        return pageType;
    }

    public void setPageType(String pageType) {
        this.pageType = pageType;
    }

    public String getPositionType() {
        return positionType;
    }

    public void setPositionType(String positionType) {
        this.positionType = positionType;
    }

    public List<String> getAdGroups() {
        return adGroups;
    }

    public void setAdGroups(List<String> adGroups) {
        this.adGroups = adGroups;
    }

    public List<String> getBanner() {
        return banner;
    }

    public void setBanner(List<String> banner) {
        this.banner = banner;
    }

    public List<String> getGeo() {
        return geo;
    }

    public void setGeo(List<String> geo) {
        this.geo = geo;
    }

    public List<String> getPhrase() {
        return phrase;
    }

    public void setPhrase(List<String> phrase) {
        this.phrase = phrase;
    }

    public List<String> getPageName() {
        return pageName;
    }

    public void setPageName(List<String> pageName) {
        this.pageName = pageName;
    }

    public Boolean getSitesInDetail() {
        return sitesInDetail;
    }

    public void setSitesInDetail(Boolean sitesInDetail) {
        this.sitesInDetail = sitesInDetail;
    }

    public List<String> getStatGoals() {
        return statGoals;
    }

    public void setStatGoals(List<String> statGoals) {
        this.statGoals = statGoals;
    }

    public String getWithImage() {
        return withImage;
    }

    public void setWithImage(String withImage) {
        this.withImage = withImage;
    }

    public String getGroupByDate() {
        return groupByDate;
    }

    public void setGroupByDate(String groupByDate) {
        this.groupByDate = groupByDate;
    }
}
